import Panel from "../views/Panel";
import { NetManager } from '../../libs/tw/manager/NetManager';
import { DataManager } from "../../libs/tw/manager/DataManager";
export default class RulePanel extends Panel {
    public labContent:eui.Label;
    public scroller:eui.Scroller;
    start() {
        NetManager.ins.getRule(() => {
            this.addRule();
        });
    }

    private addRule() {
        // this.labContent.textFlow = alien.Utils.parseHtmlText(content);
        this.labContent.textFlow =  (new egret.HtmlTextParser).parser(DataManager.ins.getRuleData.ruleText);
    }

    protected get skinKey() { return 'Rule' }
}